[API Reference](../README.md) > [ExecuteProposalEventResult](../interfaces/ExecuteProposalEventResult.md)

# Interface: ExecuteProposalEventResult

fired by voting machines

## Hierarchy

**ExecuteProposalEventResult**

## Index

### Properties

* [_decision](ExecuteProposalEventResult.md#_decision)
* [_organization](ExecuteProposalEventResult.md#_organization)
* [_proposalId](ExecuteProposalEventResult.md#_proposalId)
* [_totalReputation](ExecuteProposalEventResult.md#_totalReputation)

---

## Properties

<a id="_decision"></a>

###  _decision

**● _decision**: *`BigNumber`*

*Defined in [wrappers/iIntVoteInterface.ts:120](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L120)*

the vote choice that won.

___
<a id="_organization"></a>

###  _organization

**● _organization**: *[Address](../#Address)*

*Defined in [wrappers/iIntVoteInterface.ts:116](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L116)*

indexed

___
<a id="_proposalId"></a>

###  _proposalId

**● _proposalId**: *[Hash](../#Hash)*

*Defined in [wrappers/iIntVoteInterface.ts:124](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L124)*

indexed

___
<a id="_totalReputation"></a>

###  _totalReputation

**● _totalReputation**: *`BigNumber`*

*Defined in [wrappers/iIntVoteInterface.ts:128](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L128)*

The total reputation in the DAO at the time the proposal was executed

___

